module Types where

import Data.ByteString
import Data.Vector

type BS = ByteString

type Tok = (Bool, BS)

type TV = Vector Tok

type Diff = [(Op, Tok)]

type Hunk = ((Int, Int), Diff)

data Op
  = Remove
  | Keep
  | Add
  deriving (Show, Eq)
